From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/alsa-plugins/
Date: Sun, 30 Jun 2019 11:23:01 +0000 (UTC) [thread overview]
Message-ID: <1561893769.852053b504a01ac36620344245bc9e460f9a8618.pacho@gentoo> (raw)
commit: 852053b504a01ac36620344245bc9e460f9a8618
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 30 11:01:59 2019 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Jun 30 11:22:49 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=852053b5
media-plugins/alsa-plugins: Symlink is needed for loading pulse config file
Closes: https://bugs.gentoo.org/670960
Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
.../alsa-plugins/alsa-plugins-1.1.9-r1.ebuild | 103 +++++++++++++++++++++
1 file changed, 103 insertions(+)
diff --git a/media-plugins/alsa-plugins/alsa-plugins-1.1.9-r1.ebuild b/media-plugins/alsa-plugins/alsa-plugins-1.1.9-r1.ebuild
new file mode 100644
index 00000000000..783f916c139
--- /dev/null
+++ b/media-plugins/alsa-plugins/alsa-plugins-1.1.9-r1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic multilib multilib-minimal
+
+DESCRIPTION="ALSA extra plugins"
+HOMEPAGE="http://www.alsa-project.org/"
+SRC_URI="mirror://alsaproject/plugins/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-linux"
+IUSE="arcam_av debug ffmpeg jack libav libsamplerate +mix oss pulseaudio speex +usb_stream"
+
+RDEPEND="
+ >=media-libs/alsa-lib-${PV}:=[${MULTILIB_USEDEP}]
+ ffmpeg? (
+ libav? ( media-video/libav:= )
+ !libav? ( media-video/ffmpeg:0= )
+ )
+ jack? ( virtual/jack[${MULTILIB_USEDEP}] )
+ libsamplerate? ( >=media-libs/libsamplerate-0.1.8-r1:=[${MULTILIB_USEDEP}] )
+ pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[${MULTILIB_USEDEP}] )
+ speex? (
+ >=media-libs/speex-1.2.0:=[${MULTILIB_USEDEP}]
+ media-libs/speexdsp[${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ default
+
+ # For some reasons the polyp/pulse plugin does fail with alsaplayer with a
+ # failed assert. As the code works just fine with asserts disabled, for now
+ # disable them waiting for a better solution.
+ sed -i \
+ -e '/AM_CFLAGS/s:-Wall:-DNDEBUG -Wall:' \
+ pulse/Makefile.am || die
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ use debug || append-cppflags -DNDEBUG
+
+ local myeconfargs=(
+ # default does not contain $prefix: bug #673464
+ --with-alsalconfdir="${EPREFIX}"/etc/alsa/conf.d
+
+ --with-speex="$(usex speex lib no)"
+ $(use_enable arcam_av arcamav)
+ $(use_enable ffmpeg libav)
+ $(use_enable jack)
+ $(use_enable libsamplerate samplerate)
+ $(use_enable mix)
+ $(use_enable oss)
+ $(use_enable pulseaudio)
+ $(use_enable speex speexdsp)
+ $(use_enable usb_stream usbstream)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ cd doc || die
+ dodoc upmix.txt vdownmix.txt README-pcm-oss
+ use jack && dodoc README-jack
+ use libsamplerate && dodoc samplerate.txt
+ use ffmpeg && dodoc lavrate.txt a52.txt
+
+ if use pulseaudio; then
+ dodoc README-pulse
+ # install ALSA configuration files
+ # making PA to be used by alsa clients
+ insinto /usr/share/alsa
+ doins "${FILESDIR}"/pulse-default.conf
+ insinto /usr/share/alsa/alsa.conf.d
+ doins "${FILESDIR}"/51-pulseaudio-probe.conf
+ # bug #410261, comment 5+
+ # seems to work fine without any path
+ sed -i \
+ -e "s:/usr/lib/alsa-lib/::" \
+ "${ED%/}"/usr/share/alsa/alsa.conf.d/51-pulseaudio-probe.conf || die #410261
+ dosym "${ED%/}"/usr/share/alsa/alsa.conf.d/51-pulseaudio-probe.conf \
+ /etc/alsa/conf.d/51-pulseaudio-probe.conf #670960
+ fi
+
+ find "${ED}" \( -name '*.a' -o -name '*.la' \) -delete || die
+}
+
+pkg_postinst() {
+ if use pulseaudio; then
+ einfo "The PulseAudio device is now set as the default device if the"
+ einfo "PulseAudio server is found to be running. Any custom"
+ einfo "configuration in /etc/asound.conf or ~/.asoundrc for this"
+ einfo "purpose should now be unnecessary."
+ fi
+}
next reply other threads:[~2019-06-30 11:23 UTC|newest]
Thread overview: 95+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-06-30 11:23 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-25 20:42 [gentoo-commits] repo/gentoo:master commit in: media-plugins/alsa-plugins/ Sam James
2024-11-23 16:20 Michał Górny
2024-06-12 4:26 Sam James
2023-05-05 4:13 Sam James
2023-05-05 3:08 Sam James
2023-03-15 16:41 Arthur Zamarin
2023-03-07 15:45 Sam James
2023-03-07 11:42 Sam James
2023-03-04 7:35 Arthur Zamarin
2023-03-04 6:20 Arthur Zamarin
2022-08-17 16:21 Matt Turner
2022-07-31 11:10 Agostino Sarubbo
2022-07-31 11:08 Agostino Sarubbo
2022-07-31 11:05 Agostino Sarubbo
2022-07-30 16:27 Arthur Zamarin
2022-07-30 15:38 Arthur Zamarin
2022-07-30 11:28 Arthur Zamarin
2022-07-30 9:51 Arthur Zamarin
2022-07-29 2:54 Sam James
2022-06-17 19:33 Sam James
2022-06-01 7:21 Lars Wendler
2022-05-09 23:21 Sam James
2022-04-25 20:20 Arthur Zamarin
2022-04-24 6:34 Agostino Sarubbo
2022-04-24 6:30 Agostino Sarubbo
2022-04-22 17:31 Arthur Zamarin
2022-04-22 17:31 Arthur Zamarin
2022-04-21 18:48 Arthur Zamarin
2022-04-21 18:27 Arthur Zamarin
2021-12-07 6:47 Lars Wendler
2021-08-10 18:06 Marek Szuba
2021-08-10 18:06 Marek Szuba
2021-06-05 20:09 Lars Wendler
2021-06-05 18:56 Lars Wendler
2020-06-02 12:13 Andreas Sturmlechner
2020-05-06 17:34 Sergei Trofimovich
2020-05-06 7:18 Sergei Trofimovich
2020-05-06 7:01 Sergei Trofimovich
2020-05-05 21:15 Sergei Trofimovich
2020-05-05 21:04 Mart Raudsepp
2020-05-04 15:51 Mikle Kolyada
2020-05-04 6:43 Agostino Sarubbo
2020-05-04 6:40 Agostino Sarubbo
2020-04-26 12:26 David Seifert
2020-03-22 19:31 Matt Turner
2020-02-22 22:11 Lars Wendler
2020-02-22 22:00 David Seifert
2020-02-21 21:09 Matt Turner
2020-02-21 21:09 Matt Turner
2020-02-20 15:49 Lars Wendler
2020-02-11 13:30 Agostino Sarubbo
2020-01-27 10:22 Mikle Kolyada
2020-01-21 19:49 Sergei Trofimovich
2020-01-21 10:42 Agostino Sarubbo
2020-01-21 8:44 Agostino Sarubbo
2019-12-09 18:27 Sergei Trofimovich
2019-12-03 16:27 Lars Wendler
2019-11-16 13:06 Lars Wendler
2019-10-12 23:50 Matt Turner
2019-09-30 6:59 Michał Górny
2019-08-28 7:22 Sergei Trofimovich
2019-08-28 6:54 Sergei Trofimovich
2019-07-31 17:44 Sergei Trofimovich
2019-05-14 17:53 Aaron Bauman
2019-05-13 9:44 Lars Wendler
2019-05-13 9:44 Lars Wendler
2019-04-25 7:56 Sergei Trofimovich
2019-04-24 21:33 Thomas Deutschmann
2019-03-28 5:50 Markus Meier
2019-03-23 17:11 Mikle Kolyada
2019-01-12 23:29 Sergei Trofimovich
2019-01-08 23:43 Lars Wendler
2018-11-07 23:28 Sergei Trofimovich
2018-10-23 18:47 Markus Meier
2018-10-18 11:45 Tobias Klausmann
2018-10-17 12:07 Thomas Deutschmann
2018-10-17 10:25 Mikle Kolyada
2018-10-17 9:23 Lars Wendler
2018-10-17 9:23 Lars Wendler
2018-04-30 15:58 Mike Gilbert
2018-04-04 8:46 Lars Wendler
2017-11-15 17:40 Lars Wendler
2017-06-20 12:12 Alexis Ballier
2017-05-24 16:25 Michał Górny
2017-05-18 11:38 Lars Wendler
2017-03-25 11:41 Jeroen Roovers
2017-03-04 17:09 Lars Wendler
2017-03-04 8:32 Markus Meier
2017-02-28 11:22 Tobias Klausmann
2016-12-22 10:51 Lars Wendler
2016-12-18 16:30 Agostino Sarubbo
2016-12-18 16:25 Agostino Sarubbo
2016-03-31 20:30 Lars Wendler
2015-12-01 18:14 Tony Vroon
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1561893769.852053b504a01ac36620344245bc9e460f9a8618.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox